Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056377 - [abrt] sound-juicer: gtk_tree_model_get_valist(): sound-juicer killed by SIGSEGV
Summary: [abrt] sound-juicer: gtk_tree_model_get_valist(): sound-juicer killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: sound-juicer
Version: 19
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:796c24a5d496f1d583266ff8fc9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-22 04:41 UTC by scattol
Modified: 2015-02-17 19:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 19:55:11 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-22 04:41 UTC, scattol
no flags Details
File: cgroup (deleted)
2014-01-22 04:41 UTC, scattol
no flags Details
File: core_backtrace (deleted)
2014-01-22 04:41 UTC, scattol
no flags Details
File: dso_list (deleted)
2014-01-22 04:41 UTC, scattol
no flags Details
File: environ (deleted)
2014-01-22 04:41 UTC, scattol
no flags Details
File: exploitable (deleted)
2014-01-22 04:41 UTC, scattol
no flags Details
File: limits (deleted)
2014-01-22 04:41 UTC, scattol
no flags Details
File: maps (deleted)
2014-01-22 04:41 UTC, scattol
no flags Details
File: open_fds (deleted)
2014-01-22 04:41 UTC, scattol
no flags Details
File: proc_pid_status (deleted)
2014-01-22 04:41 UTC, scattol
no flags Details
File: var_log_messages (deleted)
2014-01-22 04:41 UTC, scattol
no flags Details

Description scattol 2014-01-22 04:41:03 UTC
Version-Release number of selected component:
sound-juicer-3.5.0-4.fc19

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        sound-juicer /run/user/1000/gvfs/cdda:host=sr0
crash_function: gtk_tree_model_get_valist
executable:     /usr/bin/sound-juicer
kernel:         3.12.7-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 gtk_tree_model_get_valist at gtktreemodel.c:1765
 #1 gtk_tree_model_get at gtktreemodel.c:1727
 #2 on_completion_cb at sj-extracting.c:658
 #3 _g_closure_invoke_va at gclosure.c:840
 #6 g_cclosure_marshal_VOID__BOXEDv at gmarshal.c:1160
 #7 _g_closure_invoke_va at gclosure.c:840
 #10 gst_bus_async_signal_func at gstbus.c:1126
 #11 gst_bus_source_dispatch at gstbus.c:773
 #16 gtk_main at gtkmain.c:1156

Potential duplicate: bug 716645

Comment 1 scattol 2014-01-22 04:41:07 UTC
Created attachment 853585 [details]
File: backtrace

Comment 2 scattol 2014-01-22 04:41:08 UTC
Created attachment 853586 [details]
File: cgroup

Comment 3 scattol 2014-01-22 04:41:10 UTC
Created attachment 853587 [details]
File: core_backtrace

Comment 4 scattol 2014-01-22 04:41:12 UTC
Created attachment 853588 [details]
File: dso_list

Comment 5 scattol 2014-01-22 04:41:14 UTC
Created attachment 853589 [details]
File: environ

Comment 6 scattol 2014-01-22 04:41:16 UTC
Created attachment 853590 [details]
File: exploitable

Comment 7 scattol 2014-01-22 04:41:17 UTC
Created attachment 853591 [details]
File: limits

Comment 8 scattol 2014-01-22 04:41:19 UTC
Created attachment 853592 [details]
File: maps

Comment 9 scattol 2014-01-22 04:41:20 UTC
Created attachment 853593 [details]
File: open_fds

Comment 10 scattol 2014-01-22 04:41:22 UTC
Created attachment 853594 [details]
File: proc_pid_status

Comment 11 scattol 2014-01-22 04:41:23 UTC
Created attachment 853595 [details]
File: var_log_messages

Comment 12 scattol 2014-01-22 04:46:07 UTC
It seems to be related to the dialog asking to confirm the CD. It often pops up with a dialog to select a title (pretty much always multiple copies of the same title). You need to click on both to dismiss them both. Maybe dismissing the 2nd dialog cause a crash in a handler that doesn't expect to be called twice.

This poping of the dialog twice isn't consistent. Seem to happen if you click too quickly on the first one but I haven't confirmed this.

Comment 13 scattol 2014-01-22 04:48:31 UTC
It's occured multiple times while ripping CDs but it's you can usually reinsert the CD and successfully rip it later.

Comment 14 scattol 2014-01-26 14:24:06 UTC
I am seeing this a LOT! about every 5 CDs I am ripping. Seems to be related to cases where you get a dialog box to pick a particular version of an album when multiple albums are possible. Seems that if you are "too slow" to make your selection and click ok it tries again and when you dismiss the second instance of the dialog box you get a crash likely while it's already ripping.

Comment 15 Fedora End Of Life 2015-01-09 21:07:59 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2015-02-17 19:55:11 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.